Package com.clickhouse.jdbc

## Class ClickHouseBlob

- java.lang.Object
- - com.clickhouse.jdbc.ClickHouseBlob

All Implemented Interfaces:
  `Blob`

    public class ClickHouseBlob
    extends Object
    implements Blob

### Constructor Summary

Constructors
`ClickHouseBlob()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `free()`
`InputStream` `getBinaryStream()`
`InputStream` `getBinaryStream​(long pos, long length)`
`byte[]` `getBytes​(long pos, int length)`
`long` `length()`
`long` `position​(byte[] pattern, long start)`
`long` `position​(Blob pattern, long start)`
`OutputStream` `setBinaryStream​(long pos)`
`int` `setBytes​(long pos, byte[] bytes)`
`int` `setBytes​(long pos, byte[] bytes, int offset, int len)`
`void` `truncate​(long len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseBlob

    public ClickHouseBlob()

### Method Detail

#### length

    public long length()
                throws SQLException

Specified by:
  `length` in interface `Blob`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes​(long pos,
                           int length)
                    throws SQLException

Specified by:
  `getBytes` in interface `Blob`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream()
                                throws SQLException

Specified by:
  `getBinaryStream` in interface `Blob`
Throws:
  `SQLException`

#### position

    public long position​(byte[] pattern,
                         long start)
                  throws SQLException

Specified by:
  `position` in interface `Blob`
Throws:
  `SQLException`

#### position

    public long position​(Blob pattern,
                         long start)
                  throws SQLException

Specified by:
  `position` in interface `Blob`
Throws:
  `SQLException`

#### setBytes

    public int setBytes​(long pos,
                        byte[] bytes)
                 throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

#### setBytes

    public int setBytes​(long pos,
                        byte[] bytes,
                        int offset,
                        int len)
                 throws SQLException

Specified by:
  `setBytes` in interface `Blob`
Throws:
  `SQLException`

#### setBinaryStream

    public OutputStream setBinaryStream​(long pos)
                                 throws SQLException

Specified by:
  `setBinaryStream` in interface `Blob`
Throws:
  `SQLException`

#### truncate

    public void truncate​(long len)
                  throws SQLException

Specified by:
  `truncate` in interface `Blob`
Throws:
  `SQLException`

#### free

    public void free()
              throws SQLException

Specified by:
  `free` in interface `Blob`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream​(long pos,
                                       long length)
                                throws SQLException

Specified by:
  `getBinaryStream` in interface `Blob`
Throws:
  `SQLException`